#include "symfunc.h"
#include <string>
using namespace hub;
bool SymFuncAgent :: Eq (const BehavDescr* other) const {
	const SymFunc* that = dynamic_cast <const SymFunc*> (other);
	if (!that) return false;
	return repr_.func() != SymFunc::fNull 
	    && repr_.func() == that->func()
	    && inpNo() == that->inpNo();
}
BehavDescr* SymFuncAgent :: CreateDescr(void) const {
    return new SymFunc (repr_);
}
std::string SymFunc :: getDescrName(void) {
	return "SYM";
}
std::string RTLReg :: getDescrName() {
	return "RTLDFF";
}
bool RTLRegAgent::Eq (const BehavDescr* other) const {
	const RTLReg* that = dynamic_cast <const RTLReg*> (other);
	return that != NULL;
}
BehavDescr* RTLRegAgent::CreateDescr (void) const {
	return new RTLReg;
}
